

/* start vudo-general.css */

.clear { clear: both; }
.right { float: right; }
.left { float: left; }
.block { display: block; }


/* inspector.css */

.sort-target {
    background: rgba(0,0,0,0.2);
    -webkit-border-radius: 3px;
}

.droppable-active, .droppable-hover {
    background: red;
}


#widget-browser ul {
    min-height: 25px;
    padding: 1px;
    min-height: 20px;
    background-color: rgba(255,255,255,0.1);
    -webkit-border-radius: 2px;
    -webkit-box-shadow: 0px 0px 2px #333;
}

/* style the li */
#widget-browser li {
    padding: 0;
    margin: 5px 5px;
    display: block;
    height: 16px;
    width: 110px;
    background: url('../images/vudo-ui-button-background.gif') repeat-x 0px 0px;
    -webkit-border-radius: 2px;
    -webkit-box-shadow: 0px 0px 2px #222;
    
}
#widget-browser li.ui-tabs-selected { 
    background: url('../images/vudo-ui-button-background.gif') repeat-x 0px -16px;
    -webkit-border-radius: 2px;
    -webkit-box-shadow: 0px 0px 2px #ddd;
    color: black;
    }

/* style the a */
#widget-browser .widget-title { 
    display: block;
    height: 15px;
    width: 90px;
    color: #FFF;
    padding: 0px 0 0 4px;
    font-weight: bold;
    font-size: 10px;
    line-height: 15px;
    text-shadow: 1px 0px 0px black;
    text-transform: lowercase;
    color: white;
    text-decoration: none;
    overflow: hidden;
    }
#widget-browser .ui-tabs-selected .widget-title {
    color: black;
    text-shadow: 1px 0px 0px white;
}
 
.action-edit, .action-delete {
    display: block;
    float: right;
    position: relative;
    top: -16px;
    background: url('../images/vudo-ui-inspector-icon-edit.png') no-repeat 0 3px;
    width: 15px;
    height: 16px;
    }
.action-delete {
    background: url('../images/vudo-ui-inspector-icon-delete.png') no-repeat 0 2px;    
    }

/* widget-editor */
.button-bar img {
    display: inline;
}



/* layout chooser */
#compositepage-layout-chooser img {
    background: #333;
    border: none;
    -webkit-border-radius: 2x;
    -webkit-box-shadow: 0px 0px 2px #ddd;
}

/* vudo-ui.css */

/*button.button-dark, button.button-light, */
a.button-light, a.button-dark {
    font: bold italic 12px/1em Times, 'Times New Roman', serif;
    text-transform: lowercase;
    color: white;
    text-decoration: none;
    background: url('../images/vudo-ui-button-background-dark.gif') repeat-x;
    padding: 0px 8px 1px 8px;
    margin: 0 2px;
    -webkit-border-radius: 2px;
    -webkit-box-shadow: 1px 1px 0px #333;
    text-shadow: 0px 0px 0px black;
    z-index: auto;
    position: relative;
}
/*button.button-dark, */
a.button-light {
    color: #333;
    background: url('../images/vudo-ui-button-background-light.gif') repeat-x;
    }
/*button.button-dark:active, */
a.button-dark:active {
    color: black!important;
    background: url('../images/vudo-ui-button-background-light.gif') repeat-x!important;
    }
/*button.button-dark:hover, */
a.button-dark:hover {
    color: #ccc!important;
}
/*button.button-light:active, */
a.button-light:active {
    color: white!important;
    background: url('../images/vudo-ui-button-background-dark.gif') repeat-x!important;
    }
/*button.button-light:hover, */
a.button-light:hover {
    color: black;
}

/*jquery tabs*/
.ui-tabs-hide { display: none;}
.ui-tabs-selected a.button-dark { 
    background: url('../images/vudo-ui-button-background-light.gif') repeat-x;
    color: black;
    }
.ui-tabs-selected a.button-light { 
    background: url('../images/vudo-ui-button-background-dark.gif') repeat-x;
    color: black;
    }


.field input, .field textarea, .tags-container {
    font-size: 1em;
    font-family:  "HelveticaNeue", Helvetica, Arial, sans-serif;
    background: white url('../images/vudo-ui-input-background.gif') left top repeat-x;
    color: #333;
    width: 100%;
    padding: 3px 0;
    border: none;
    border-top: 1px solid #ccc;
    border-bottom: 1px solid #fff;
    -webkit-border-radius: 2px;
}
.field > input:focus, .field > textarea:focus, select:focus, .focus {
    outline: none;
    border-top: 1px solid #fff!important;
    border-bottom: 1px solid #ccc!important;
    }
input.string-big {
    font-size: 1.7em;
    font-family: "HelveticaNeue-Light", "HelveticaNeue", Helvetica, Arial, sans-serif;
}

input.uploadButton {
    color: #ccc;
    font-size: 8px;
    visibility: hidden;
    }

ul.radioButtons {
    margin: 2px 0 0 0;
}
ul.radioButtons li {
    padding: 1px 0;
}
input.radio { 
    background: red;
    border: 1px solid red;
    }
    

button {
    padding: .3em .6em .4em .6em;
    margin: .3em .3em;
    color: #333;
}
button.save { color: black;}

textarea {
    resize: none; 
}
p {
    color: #ccc;
}
select {
-webkit-appearance: menulist;
    border: none;
    -webkit-border-radius: 0px;
    color: white;
    background: url('../images/vudo-ui-button-background-dark.gif') repeat-x;
}

fieldset {
    border: none;
    margin: 0 0 1em 0;
    padding: 0;
}
label, .status {
    color: #fff;
    text-shadow: 1px 1px 0px #333;
    font-size: 9px;
    margin: 0 0 -.3em 2px;
    width: 100%;
}

.field {
    margin: .5em 0;
}


.status {
    color: #fff;
    text-shadow: 1px 1px 0px #333;
    font-size: 10px;
    margin: 2em .3em;
    width: 100%;
}

/*general icons*/
.icon.file { background: url('../images/vudo-icon-file-32.png') no-repeat; }
.icon.text { background: url('../images/vudo-icon-text-32.png') no-repeat; }
.icon.heading { background: url('../images/vudo-icon-heading-32.png') no-repeat; }
.icon.image { background: url('../images/vudo-icon-image-32.png') no-repeat; }
.icon.imagegallery { background: url('../images/vudo-icon-imagegallery-32.png') no-repeat; }
.icon.movie { background: url('../images/vudo-icon-movie-32.png') no-repeat; }
.icon.text { background: url('../images/vudo-icon-text-32.png') no-repeat; }

